/**
 * Copyright (c) 2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.extension;

import java.util.List;

import org.ow2.petals.microkernel.api.extension.InstallationExtension;

/**
 * Manager of installation extensions
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public interface InstallationExtensionsManager {

    public static final String COMPONENT_LOGGER_NAME = "Petals.System.Extensions.InstallationExtensionsManager";

    public void register(final InstallationExtension installationExtension);

    public void deregister(final InstallationExtension installationExtension);

    public List<InstallationExtension> getExtensions();

}
