/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.jbi.management.recovery;

import org.ow2.petals.microkernel.api.jbi.management.ManagementException;

/**
 * @author Olivier Fabre - EBM WebSourcing
 */
public interface SystemRecoveryService {

    public static final String COMPONENT_LOGGER_NAME = "Petals.JBI-Management.SystemRecoveryService";

    /**
     * Recover all petals recoverable entities (component, shared lib and
     * service assemblies)
     * 
     * @return true if all recovers are ok, false otherwise
     * @throws ManagementException
     */
    void recoverAllEntities() throws ManagementException;
}
