/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.jbi.management.task.installation.uninstall.component;

import org.ow2.petals.clientserverapi.configuration.ContainerConfiguration;
import org.ow2.petals.microkernel.api.container.SharedLibraryLifeCycle;
import org.ow2.petals.microkernel.api.jbi.management.AdminService;
import org.ow2.petals.microkernel.api.jbi.management.Context;
import org.ow2.petals.microkernel.api.util.LoggingUtil;
import org.ow2.petals.microkernel.jbi.management.task.AbstractLoggableTask;

/**
 * Unregister the component from its Shared Libraries.
 * @author Roland Naudin - EBM WebSourcing
 */
public class UnregisterComponentFromSLTask extends AbstractLoggableTask {

    private final AdminService adminService;

    public UnregisterComponentFromSLTask(final LoggingUtil log, final AdminService adminService,
            final ContainerConfiguration containerConfiguration) {
        super(log, containerConfiguration);
        this.adminService = adminService;
    }

    public void execute(Context context) throws Exception {
        String componentName = context.getEntityName();
        for (SharedLibraryLifeCycle saLC : this.adminService.getSharedLibraries().values()) {
            saLC.unregisterComponent(componentName);
        }
    }

    public void undo(Context context) throws Exception {
        // TODO Auto-generated method stub

    }
}
